@font-face {
    font-family: 'PingfangSC-Regular';
    src: url('../../font/PingFangSC-Regular.ttf');
}
* {
    /*布局*/
    margin: 0;
    padding: 0;
    /*文本和字体*/
    font-family: 'PingfangSC-Regular', serif;
}

html {
    /*尺寸和边距*/
    height: 100%;
    min-height: 460px;
}

body {
    /*布局*/
    position: relative;
    /*尺寸和边距*/
    height: 100%;
    /*背景和颜色*/
    background: radial-gradient(#fbc2eb, #a6c1ee);
}

#mode-box {
    /*布局*/
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    /*尺寸和边距*/
    width: 520px;
    height: 300px;
    /*背景和颜色*/
    background: var(--white);
    /*边框、阴影和其他装饰*/
    border-radius: 10px;
}

#mode-selection {
    /*布局*/
    display: block;
    align-content: center;
    /*尺寸和边距*/
    width: 350px;
    height: 50px;
    margin: 100px auto 0;
    /*文本和字体*/
    text-align: center;
    /*其他*/
    user-select: none;
}

.mode {
    /*布局*/
    display: inline-block;
    /*尺寸和边距*/
    width: 150px;
    height: 45px;
    /*文本和字体*/
    font-size: 18px;
    line-height: 45px;
    color: black;
    /*背景和颜色*/
    background: var(--gray-300);
    /*边框、阴影和其他装饰*/
    border-radius: 6px;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0);
}

.mode.selected {
    /*文本和字体*/
    color: black;
    /*背景和颜色*/
    background: linear-gradient(to right bottom, #fbc2eb, #a6c1ee);
    /*边框、阴影和其他装饰*/
    box-shadow: 0 0 4px var(--gray-500);
}

#landscape {
    float: left;
}

#portrait {
    float: right;
}

#logo-box {
    /*布局*/
    display: grid;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    /*尺寸和边距*/
    width: 700px;
    height: 80px;
    /*背景和颜色*/
    place-items: center;
    user-select: none;
}

#logo{
    /*布局*/
    display: block;
    /*尺寸和边距*/
    height: 45px;
}

.confirm {
    /*尺寸和边距*/
    height: var(--submit-height);
    width: var(--submit-width);
    margin: 60px auto 0;
    /*文本和字体*/
    color: black;
    font-size: var(--submit-font-size);
    line-height: var(--submit-line-height);
    text-align: center;
    /*边框、阴影和其他装饰*/
    border-radius: var(--submit-border-radius);
    box-shadow: var(--submit-box-shadow);
    /*其他*/
    user-select: none;
    cursor: default;
}


.confirm:active {
    /*背景和颜色*/
    background: var(--submit-background-active);
    /*定位和变换*/
    transform: scale(0.97);
}